%define upstream_name    Digest-JHash
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for 32 bit Jenkins Hashing Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The 'Digest::JHash' module allows you to use the fast JHash hashing
algorithm developed by Bob Jenkins from within Perl programs. The algorithm
takes as input a message of arbitrary length and produces as output a
32-bit "message digest" of the input in the form of an unsigned long
integer.

Call it a low calorie version of MD5 if you like.

See http://burtleburtle.net/bob/hash/doobs.html for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1025785
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 957187
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 843772
- update to 0.09

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 789014
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 739460
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.80.0-4.mga5
+ Revision: 735612
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 684360
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 631120
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 588357
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-6.mga4
+ Revision: 524297
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.70.0-5.mga4
+ Revision: 430669
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-4.mga3
+ Revision: 365921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.70.0-3.mga3
+ Revision: 250561
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-2.mga2
+ Revision: 104210
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 22377
- cleaning spec file
- imported package perl-Digest-JHash

